% P=cutoff(P,MaxDepth)
% trim out all words of length longer than MaxDepth
% C.Ladroue

function P=cutoff(P,MaxDepth)
idx=[];
for k=1:length(P.Coef)
    if length(P.Pointer{k})>MaxDepth, idx=[idx k]; end;
end;

P.Pointer(idx)=[];
P.Coef(idx)=[];
