% Display for IIsym objects
% 
% C.Ladroue

function display(ii)
n=length(ii.Coef);
if (n==1) && (isempty(ii.Pointer{1}))
    s=char(ii.Coef(1));
else

s='';
c='';

ii=sort(ii);% rearrange the coefs.
siz=0;
for k=1:n
    if length(ii.Pointer{k})>siz, siz=length(ii.Pointer{k}); nl='\n'; else nl='';end;
    coef=char(ii.Coef(k));
    if(coef(1)~='-') c='+'; else c=''; end;
    if siz==0, 
        s=[ s nl c coef ' '];
    else
        w=sprintf('%d ',ii.Pointer{k});
        w(end)=[];
        s=[ s nl c num2str(coef) '.X^(' w ') '];
    end;
end;

end;

eval(['fprintf(''' s ''')']);
fprintf('\nMaxDepth:%d\n',ii.MaxDepth);