% Display LaTeX code for IIsym objects
% 
% C.Ladroue

function s=latex(ii)


ii=sort(ii);

n=length(ii.Coef);
s='\begin{eqnarray}';
c='';

ii=sort(ii);% rearrange the coefs.
siz=0;
for k=1:n
    if length(ii.Pointer{k})>siz, siz=length(ii.Pointer{k}); nl='\n'; else nl='';end;
    coef=char(ii.Coef(k));
    w=sprintf('%d ',ii.Pointer{k});
    w(end)=[];
    ltx=latex(ii.Coef(k));
    s=[s sprintf('\n(%s)&=&%s\\\\',w,ltx)];
end;

s=[s sprintf('\n\\end{eqnarray}')];

