% transform an II2sym object into a IIxp object, providing there is no
% abstract variable left.
% C.Ladroue

function Q=toIIxp(P)

L1=findsym(P);
if ~isempty(L1),
    error(sprintf('Cannot convert: the IIsym object still contains abstract variables. \nUse ''instantiate'' to replace the last variables with actual values.'));
else
    Q=IIxp(P.Pointer,double(P.Coef),P.MaxDepth);
end;
