% computes a polynomial of a given IIxp object
% Q=polynomial(P,[1 -2 5]) means Q=1-2*P+5*P^2
% C.Ladroue

function Q=polynomial(P,p)

Q=IIxp(P.MaxDepth);

for k=1:length(p)
    Q=Q+p(k)*P^(k-1);
end;