% Apply integration wrt driver j onto the iterated integral ii
% e.g. X(P,[4 2])
% C.Ladroue

function ii=X(ii,j)
wl=length(j);
idx=[];
for k=1:length(ii.Coef)
    if wl+length(ii.Pointer{k})>ii.MaxDepth,
        idx=[idx k];
    else
       ii.Pointer{k}=[ii.Pointer{k} j];
    end;
end;

ii.Pointer(idx)=[];
ii.Coef(idx)=[];