% estimate the actual value of the iterated integral, given the linear combination and the seeds.
% v=estimate(P,D);
% where P is a IIsym object
% D is a nxm matrix, n drivers and m datapoints
% v is a symbolic object. Use subs to replace variables by actual values.
% (see also findsym)

function v=estimate(P,D)

v=sym(zeros(1,size(D,2)));

for k=1:length(P.Coef)
        v=v+P.Coef(k)*II(D,P.Pointer{k});
end;


% tic;
% 
% 
% %syms v;
% 
% v=0;
% 
% 
% for k=1:length(P.Coef)
%     if length(P.Pointer{k})==0,
%         v=v+P.Coef(k)*ones(1,size(D,2));
%     else
%         w=explode(P.Pointer{k});
%         v=v+P.Coef(k)*vpa(II(D,w)) ;
%     end;
% end;
% 
% toc
% 
% function w=explode(s)
% % turns the string into a vector
% % from the 10th driver, use a,b,c etc.
% 
% w=double(s);
% w=min(w-48,abs(w-87));
