% [L1 L2]=findsym(P)
% returns the list of variables used in the II2sym object P.
% L1: list as a comma-separated string
% L2: list as a cell array (used in instantiate)
%
% C. Ladroue

function [L1 L2]=findsym(P)

L1=findsym(P.Coef);
tmp=[', ' L1 ','];
L2={};
u=findstr(tmp,',');

for k=1:length(u)-1
    L2{k}=tmp((u(k)+2):(u(k+1)-1));
end;

