% multiplication for IIsym objects
% that's the tricky bit, it implies shuffle product.
%
% C.Ladroue

function R=mtimes(P,Q)
R=IIsym;


if ~isa(P,'IIsym'), 
    R=Q;
    R.Coef=R.Coef*sym(P);
elseif ~isa(Q,'IIsym'),
    R=mtimes(Q,P);
else

R.MaxDepth=min(P.MaxDepth,Q.MaxDepth);
if P.MaxDepth~=Q.MaxDepth, 
    warning('IIsym plus: MaxDepths are different. I''m using the smallest value.');
end;
    for i=1:length(P.Coef)
        for j=1:length(Q.Coef)
        if length(P.Pointer{i})+length(Q.Pointer{j})<=R.MaxDepth,
            lst=shuffle(P.Pointer{i},Q.Pointer{j});
            R.Pointer={R.Pointer{:} lst{:}};
            R.Coef=[R.Coef P.Coef(i)*Q.Coef(j)*ones(1,length(lst))];
        end;
        end;
        R=squeeze(R); % empirically, seems the best place for squeezing (faster and saves memory)
    end;
 
end;
R=cutoff(R,R.MaxDepth);
R=squeeze(R);