% plus operation for IIsym objects
% simply summing up each coef
% by concatenation and squeezing
% C.Ladroue

function R=plus(P,Q)
R=IIsym;

    
if ~isa(P,'IIsym'), 
    R.Pointer={Q.Pointer{:} []};
    R.Coef=[Q.Coef sym(P)];
    R.MaxDepth=Q.MaxDepth;
elseif ~isa(Q,'IIsym'),
    R=plus(Q,P);
else
    R.MaxDepth=min(P.MaxDepth,Q.MaxDepth);
    if P.MaxDepth~=Q.MaxDepth, 
        warning('IIsym plus: MaxDepths are different. I''''m using the smallest value.');
    end;
    R.Pointer={P.Pointer{:} Q.Pointer{:}};
    R.Coef=[P.Coef Q.Coef];
end;

R=cutoff(R,R.MaxDepth);
R=squeeze(R);