% removes redundant coefs by identifying and adding the coefs at the same
% position.
% ii=squeeze(ii2); ii2 must be a IIsym object.
% C.Ladroue

function ii=squeeze(ii)
L=ii.Pointer;
V=ii.Coef;

i=1;
while i<=length(L)
    wi=L{i};
    j=i+1;
    while j<=length(L)
        if isequal(wi,L{j})
            V(i)=V(i)+V(j);
            L(j)=[];
            V(j)=[];
        else
            j=j+1;
        end;
    end;
    i=i+1;
end;

% removes zeros

idx=find(V==0);
L(idx)=[];
V(idx)=[];
if isempty(V)
    L={[]};
    V=sym(0);
end;

ii.Pointer=L;
ii.Coef=V;

