% estimate the actual value of the iterated integral, given the linear combination and the seeds.
% v=estimate(P,D);
% where P is a IIxp object
% D is a nxm matrix, n drivers and m datapoints
% v is a symbolic object.
%
% Use fastestimate if you know the actual values of the abstract variables
% used in P.
% C.Ladroue

function v=estimate(P,D)

v=zeros(1,size(D,2));

for k=1:length(P.Coef)
        v=v+P.Coef(k)*II(D,P.Pointer{k});
end;

