% plus operation for IIxpxt object
%
% C.Ladroue

function R=plus(P,Q)

d=[class(P) ',' class(Q)];

switch d
    case 'IIxpxt,IIxpxt'
        if dim(P)~=dim(Q),error('Dimensions dont''t agree.');end;
        R=IIxpxt(2,max([getMaxDepth(P) getMaxDepth(Q)]));
        for k=1:dim(P)
            R.List{k}=P.List{k}+Q.List{k};
        end;
    case 'double,IIxpxt'
        if length(P)==1, v=P*ones(dim(Q),1); else v=P; end;
        P=IIxpxt(dim(Q));
        for k=1:dim(Q)
            P.List{k}=IIxp([],v(k));
        end;
        R=plus(P,Q);
    case 'IIxpxt,double'
        R=plus(Q,P);
    otherwise error('IIxpxt.plus undefined for this class.');
end;

