%subref for IIxpxt
% With 1 parameter, return the IIxp at the specified dimension
% With 2 parameters, return a vectors of coefficient wrt to word w
% v=P([1 2],[1 2 2 2]), v=P(:,[2 1])
%
% C. Ladroue

function d=subsref(P,s)
s=s.subs;

if length(s)==1,
    d=P.List{s{1}};
else
    idx=s{1};
    w=s{2};

    if isequal(idx,':'), idx=1:dim(P);end;
    d=zeros(length(idx),1);
    for k=idx
        p=P.List{k};
        d(k)=p(w);
    end;
end;